# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: eros/api/notification.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2
from atlas.api import content_info_pb2 as atlas_dot_api_dot_content__info__pb2
from atlas.api import like_pb2 as atlas_dot_api_dot_like__pb2
from weclikd.common import sql_field_options_pb2 as weclikd_dot_common_dot_sql__field__options__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='eros/api/notification.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x1b\x65ros/api/notification.proto\x12\x07weclikd\x1a\x1fgoogle/protobuf/timestamp.proto\x1a\x1c\x61tlas/api/content_info.proto\x1a\x14\x61tlas/api/like.proto\x1a&weclikd/common/sql_field_options.proto\"k\n\x13\x43ommentNotification\x12\x15\n\rmy_content_id\x18\x01 \x01(\x04\x12\x18\n\x10their_comment_id\x18\x02 \x01(\x04\x12\x0f\n\x07post_id\x18\x03 \x01(\x04\x12\x12\n\nthread_ids\x18\x04 \x03(\x04\"I\n\x1d\x43likInviteRequestNotification\x12\x17\n\x0finviter_user_id\x18\x01 \x01(\x04\x12\x0f\n\x07\x63lik_id\x18\x02 \x01(\x04\"J\n\x1e\x43likInviteAcceptedNotification\x12\x17\n\x0finvitee_user_id\x18\x01 \x01(\x04\x12\x0f\n\x07\x63lik_id\x18\x02 \x01(\x04\"G\n\x1b\x43likJoinRequestNotification\x12\x17\n\x0finvitee_user_id\x18\x01 \x01(\x04\x12\x0f\n\x07\x63lik_id\x18\x02 \x01(\x04\"H\n\x1c\x43likJoinAcceptedNotification\x12\x17\n\x0finviter_user_id\x18\x01 \x01(\x04\x12\x0f\n\x07\x63lik_id\x18\x02 \x01(\x04\"\x84\x01\n\x17LikeSummaryNotification\x12\x12\n\ncontent_id\x18\x01 \x01(\x04\x12\x36\n\x0c\x63ontent_type\x18\x02 \x01(\x0e\x32 .weclikd.ContentInfo.ContentType\x12\x1d\n\x05likes\x18\x03 \x01(\x0b\x32\x0e.weclikd.Likes\"9\n\x1eUserInviteAcceptedNotification\x12\x17\n\x0finvitee_user_id\x18\x01 \x01(\x04\"\xeb\x03\n\x0cNotification\x12\x10\n\x02id\x18\x01 \x01(\x04\x42\x04\x90\xb5\x18\x01\x12+\n\x07\x63reated\x18\x02 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\x12/\n\x07\x63omment\x18\x03 \x01(\x0b\x32\x1c.weclikd.CommentNotificationH\x00\x12\x45\n\x13\x63lik_invite_request\x18\x04 \x01(\x0b\x32&.weclikd.ClikInviteRequestNotificationH\x00\x12G\n\x14\x63lik_invite_accepted\x18\x05 \x01(\x0b\x32\'.weclikd.ClikInviteAcceptedNotificationH\x00\x12\x41\n\x11\x63lik_join_request\x18\x06 \x01(\x0b\x32$.weclikd.ClikJoinRequestNotificationH\x00\x12\x43\n\x12\x63lik_join_accepted\x18\x07 \x01(\x0b\x32%.weclikd.ClikJoinAcceptedNotificationH\x00\x12G\n\x14user_invite_accepted\x18\x08 \x01(\x0b\x32\'.weclikd.UserInviteAcceptedNotificationH\x00\x42\n\n\x08\x63ontentsb\x06proto3'
  ,
  dependencies=[google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,atlas_dot_api_dot_content__info__pb2.DESCRIPTOR,atlas_dot_api_dot_like__pb2.DESCRIPTOR,weclikd_dot_common_dot_sql__field__options__pb2.DESCRIPTOR,])




_COMMENTNOTIFICATION = _descriptor.Descriptor(
  name='CommentNotification',
  full_name='weclikd.CommentNotification',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='my_content_id', full_name='weclikd.CommentNotification.my_content_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='their_comment_id', full_name='weclikd.CommentNotification.their_comment_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='post_id', full_name='weclikd.CommentNotification.post_id', index=2,
      number=3, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='thread_ids', full_name='weclikd.CommentNotification.thread_ids', index=3,
      number=4, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=165,
  serialized_end=272,
)


_CLIKINVITEREQUESTNOTIFICATION = _descriptor.Descriptor(
  name='ClikInviteRequestNotification',
  full_name='weclikd.ClikInviteRequestNotification',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='inviter_user_id', full_name='weclikd.ClikInviteRequestNotification.inviter_user_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_id', full_name='weclikd.ClikInviteRequestNotification.clik_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=274,
  serialized_end=347,
)


_CLIKINVITEACCEPTEDNOTIFICATION = _descriptor.Descriptor(
  name='ClikInviteAcceptedNotification',
  full_name='weclikd.ClikInviteAcceptedNotification',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='invitee_user_id', full_name='weclikd.ClikInviteAcceptedNotification.invitee_user_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_id', full_name='weclikd.ClikInviteAcceptedNotification.clik_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=349,
  serialized_end=423,
)


_CLIKJOINREQUESTNOTIFICATION = _descriptor.Descriptor(
  name='ClikJoinRequestNotification',
  full_name='weclikd.ClikJoinRequestNotification',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='invitee_user_id', full_name='weclikd.ClikJoinRequestNotification.invitee_user_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_id', full_name='weclikd.ClikJoinRequestNotification.clik_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=425,
  serialized_end=496,
)


_CLIKJOINACCEPTEDNOTIFICATION = _descriptor.Descriptor(
  name='ClikJoinAcceptedNotification',
  full_name='weclikd.ClikJoinAcceptedNotification',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='inviter_user_id', full_name='weclikd.ClikJoinAcceptedNotification.inviter_user_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_id', full_name='weclikd.ClikJoinAcceptedNotification.clik_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=498,
  serialized_end=570,
)


_LIKESUMMARYNOTIFICATION = _descriptor.Descriptor(
  name='LikeSummaryNotification',
  full_name='weclikd.LikeSummaryNotification',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='content_id', full_name='weclikd.LikeSummaryNotification.content_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='content_type', full_name='weclikd.LikeSummaryNotification.content_type', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='likes', full_name='weclikd.LikeSummaryNotification.likes', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=573,
  serialized_end=705,
)


_USERINVITEACCEPTEDNOTIFICATION = _descriptor.Descriptor(
  name='UserInviteAcceptedNotification',
  full_name='weclikd.UserInviteAcceptedNotification',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='invitee_user_id', full_name='weclikd.UserInviteAcceptedNotification.invitee_user_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=707,
  serialized_end=764,
)


_NOTIFICATION = _descriptor.Descriptor(
  name='Notification',
  full_name='weclikd.Notification',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='id', full_name='weclikd.Notification.id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\220\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='created', full_name='weclikd.Notification.created', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='comment', full_name='weclikd.Notification.comment', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_invite_request', full_name='weclikd.Notification.clik_invite_request', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_invite_accepted', full_name='weclikd.Notification.clik_invite_accepted', index=4,
      number=5, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_join_request', full_name='weclikd.Notification.clik_join_request', index=5,
      number=6, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_join_accepted', full_name='weclikd.Notification.clik_join_accepted', index=6,
      number=7, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='user_invite_accepted', full_name='weclikd.Notification.user_invite_accepted', index=7,
      number=8, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='contents', full_name='weclikd.Notification.contents',
      index=0, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
  ],
  serialized_start=767,
  serialized_end=1258,
)

_LIKESUMMARYNOTIFICATION.fields_by_name['content_type'].enum_type = atlas_dot_api_dot_content__info__pb2._CONTENTINFO_CONTENTTYPE
_LIKESUMMARYNOTIFICATION.fields_by_name['likes'].message_type = atlas_dot_api_dot_like__pb2._LIKES
_NOTIFICATION.fields_by_name['created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_NOTIFICATION.fields_by_name['comment'].message_type = _COMMENTNOTIFICATION
_NOTIFICATION.fields_by_name['clik_invite_request'].message_type = _CLIKINVITEREQUESTNOTIFICATION
_NOTIFICATION.fields_by_name['clik_invite_accepted'].message_type = _CLIKINVITEACCEPTEDNOTIFICATION
_NOTIFICATION.fields_by_name['clik_join_request'].message_type = _CLIKJOINREQUESTNOTIFICATION
_NOTIFICATION.fields_by_name['clik_join_accepted'].message_type = _CLIKJOINACCEPTEDNOTIFICATION
_NOTIFICATION.fields_by_name['user_invite_accepted'].message_type = _USERINVITEACCEPTEDNOTIFICATION
_NOTIFICATION.oneofs_by_name['contents'].fields.append(
  _NOTIFICATION.fields_by_name['comment'])
_NOTIFICATION.fields_by_name['comment'].containing_oneof = _NOTIFICATION.oneofs_by_name['contents']
_NOTIFICATION.oneofs_by_name['contents'].fields.append(
  _NOTIFICATION.fields_by_name['clik_invite_request'])
_NOTIFICATION.fields_by_name['clik_invite_request'].containing_oneof = _NOTIFICATION.oneofs_by_name['contents']
_NOTIFICATION.oneofs_by_name['contents'].fields.append(
  _NOTIFICATION.fields_by_name['clik_invite_accepted'])
_NOTIFICATION.fields_by_name['clik_invite_accepted'].containing_oneof = _NOTIFICATION.oneofs_by_name['contents']
_NOTIFICATION.oneofs_by_name['contents'].fields.append(
  _NOTIFICATION.fields_by_name['clik_join_request'])
_NOTIFICATION.fields_by_name['clik_join_request'].containing_oneof = _NOTIFICATION.oneofs_by_name['contents']
_NOTIFICATION.oneofs_by_name['contents'].fields.append(
  _NOTIFICATION.fields_by_name['clik_join_accepted'])
_NOTIFICATION.fields_by_name['clik_join_accepted'].containing_oneof = _NOTIFICATION.oneofs_by_name['contents']
_NOTIFICATION.oneofs_by_name['contents'].fields.append(
  _NOTIFICATION.fields_by_name['user_invite_accepted'])
_NOTIFICATION.fields_by_name['user_invite_accepted'].containing_oneof = _NOTIFICATION.oneofs_by_name['contents']
DESCRIPTOR.message_types_by_name['CommentNotification'] = _COMMENTNOTIFICATION
DESCRIPTOR.message_types_by_name['ClikInviteRequestNotification'] = _CLIKINVITEREQUESTNOTIFICATION
DESCRIPTOR.message_types_by_name['ClikInviteAcceptedNotification'] = _CLIKINVITEACCEPTEDNOTIFICATION
DESCRIPTOR.message_types_by_name['ClikJoinRequestNotification'] = _CLIKJOINREQUESTNOTIFICATION
DESCRIPTOR.message_types_by_name['ClikJoinAcceptedNotification'] = _CLIKJOINACCEPTEDNOTIFICATION
DESCRIPTOR.message_types_by_name['LikeSummaryNotification'] = _LIKESUMMARYNOTIFICATION
DESCRIPTOR.message_types_by_name['UserInviteAcceptedNotification'] = _USERINVITEACCEPTEDNOTIFICATION
DESCRIPTOR.message_types_by_name['Notification'] = _NOTIFICATION
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

CommentNotification = _reflection.GeneratedProtocolMessageType('CommentNotification', (_message.Message,), {
  'DESCRIPTOR' : _COMMENTNOTIFICATION,
  '__module__' : 'eros.api.notification_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CommentNotification)
  })
_sym_db.RegisterMessage(CommentNotification)

ClikInviteRequestNotification = _reflection.GeneratedProtocolMessageType('ClikInviteRequestNotification', (_message.Message,), {
  'DESCRIPTOR' : _CLIKINVITEREQUESTNOTIFICATION,
  '__module__' : 'eros.api.notification_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ClikInviteRequestNotification)
  })
_sym_db.RegisterMessage(ClikInviteRequestNotification)

ClikInviteAcceptedNotification = _reflection.GeneratedProtocolMessageType('ClikInviteAcceptedNotification', (_message.Message,), {
  'DESCRIPTOR' : _CLIKINVITEACCEPTEDNOTIFICATION,
  '__module__' : 'eros.api.notification_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ClikInviteAcceptedNotification)
  })
_sym_db.RegisterMessage(ClikInviteAcceptedNotification)

ClikJoinRequestNotification = _reflection.GeneratedProtocolMessageType('ClikJoinRequestNotification', (_message.Message,), {
  'DESCRIPTOR' : _CLIKJOINREQUESTNOTIFICATION,
  '__module__' : 'eros.api.notification_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ClikJoinRequestNotification)
  })
_sym_db.RegisterMessage(ClikJoinRequestNotification)

ClikJoinAcceptedNotification = _reflection.GeneratedProtocolMessageType('ClikJoinAcceptedNotification', (_message.Message,), {
  'DESCRIPTOR' : _CLIKJOINACCEPTEDNOTIFICATION,
  '__module__' : 'eros.api.notification_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ClikJoinAcceptedNotification)
  })
_sym_db.RegisterMessage(ClikJoinAcceptedNotification)

LikeSummaryNotification = _reflection.GeneratedProtocolMessageType('LikeSummaryNotification', (_message.Message,), {
  'DESCRIPTOR' : _LIKESUMMARYNOTIFICATION,
  '__module__' : 'eros.api.notification_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.LikeSummaryNotification)
  })
_sym_db.RegisterMessage(LikeSummaryNotification)

UserInviteAcceptedNotification = _reflection.GeneratedProtocolMessageType('UserInviteAcceptedNotification', (_message.Message,), {
  'DESCRIPTOR' : _USERINVITEACCEPTEDNOTIFICATION,
  '__module__' : 'eros.api.notification_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.UserInviteAcceptedNotification)
  })
_sym_db.RegisterMessage(UserInviteAcceptedNotification)

Notification = _reflection.GeneratedProtocolMessageType('Notification', (_message.Message,), {
  'DESCRIPTOR' : _NOTIFICATION,
  '__module__' : 'eros.api.notification_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Notification)
  })
_sym_db.RegisterMessage(Notification)


_NOTIFICATION.fields_by_name['id']._options = None
# @@protoc_insertion_point(module_scope)
